{% extends "custome_base.html" %} <!-- should always be the first line of html  -->
{% load static %} <!-- if there any static file is there then must put load static -->


{% block base_head %}
<script src="https://js.stripe.com/v3/"></script>
<style>    
/* Pen-specific styles */
    * {
    box-sizing: border-box;
    }
    html, body, section, div {
    height: 100%;
    }

    body { 
    /* color: #fff; */
    font-family: sans-serif;
    font-size: 1.25rem;
    line-height: 150%;
    text-align: center;
    /* text-shadow: 0 2px 2px #b6701e; */
    }

    section {
    width: 100%;
    }

    article {
    position: relative;
    top: 50%;
    left: 50%;
    padding: 1rem;
    text-align: center;
    transform: translate(-50%, -50%);
    }

    h2 {
    font-size: 1.75rem;
    margin: auto;
    margin-bottom: 3rem;
    }

    /* Pattern styles */
    .left-half {
    background-color: inherit;
    float: left;
    width: 50%;
    }
    .right-half {
    background-color: inherit;
    float: left;
    width: 50%;
    }

    .centered {
        position: fixed;
        top: 50%;
        left: 50%;
        /* bring your own prefixes */
        transform: translate(-50%, -50%);
        }
</style>
{% endblock %}	<!-- header block extra css file for only this page -->

{% block content %}

{% csrf_token %}
    <section class="container centered">
        <div class="left-half">
            <article>
                <div class="row">
                    <h2>Checkout Item</h2>
                </div>
                <div class="row" >
                    <div class="container">
                        <h4>Cart <span class="price" style="color:black"><i class="fa fa-shopping-cart"></i> <b>4</b></span></h4>
                        <p><a href="#">Product</a> <span id="price" class="price">75 gbp</span></p>
                        <p>Quantity <span class="price">
                            2
                        </span></p>
                        <hr>
                        <p>Total <span id="total" class="price" style="color:black"><b>30 gbp</b></span></p>
                      </div>
                </div>
            </article>
        </div>
        <div class="right-half">
            <article>
                <div class="row">
                    <h2>Payment Checkout</h2>
                </div>
                <div class="row" >
                    <form  action="{% url 'payment:new_checkout_process' %} " method="post" id="payment-form" class="form-control">
                        <div id="card-element" style="height: 30px;">
                            
                        </div>
                        <div id="card-error" role="alert" style="height: 30px;" >
                            
                        </div>
                        <div class="row">
                            <div class="col">
                                <label for="invoice">Pay by Invoice</label>
                                <input  id="" type="radio" name="payment_type"  value="invoice" class="form-control"><br>
                            </div>
                            <div class="col">
                                <label for="redirect">Bank Redirect</label>
                                <input  id="" type="radio" name="payment_type"  value="redirect" class="form-control"><br>
                            </div>
                            <div class="col">
                                <label for="card">Pay by Card</label>
                                <input id="payment_type"  type="radio" name="payment_type"  value="card" class="form-control"><br>
                            </div>
                            
                        </div>
                        
                        <div class="col">
                            <button id="pay" type="submit">Checkout</button>
                        </div>
                        
                    </form>
                </div>
            </article>
        </div>
    </section>


{% endblock %} <!-- body content of this page -->

{% block js %} 

<script>
    function calculate(){
        var price = document.getElementById("price").innerHTML;
        var quantity = document.getElementById("quantity").value;
        var total = int(quantity) * int(price)
        var total_price = "$" + String(total);
        document.getElementById("total").innerHTML ="<b>"+ total_price +"</b>"
    }
</script>

<script>
    function card1(stripe_publishable_key) {
        document.addEventListener("DOMContentLoaded", function(event){
            var stripe= Stripe(stripe_publishable_key);
            var elements = stripe.elements();
            var card = elements.create('card', {
                iconStyle: 'solid',
                style: {
                  base: {
                    color: '#303238',
                    fontSize: '16px',
                    fontFamily: '"Open Sans", sans-serif',
                    fontSmoothing: 'antialiased',
                    '::placeholder': {
                      color: '#CFD7DF',
                    },
                  },
                  invalid: {
                    iconColor: '#FFC7EE',
                    color: '#FFC7EE',
                  },
                },
              });
    
            
            card.mount('#card-element');
            
            var form= document.getElementById('payment-form');
            var btn= document.getElementById('pay');
            //Handle validation error
            card.addEventListener('change', function(event){
                
                var displayError = document.getElementById('card-error');
                if(event.eroor){
                    displayError.textContent = event.error.message;
                }else{
                    displayError.textContent = '';
                }
            });
            
            btn.addEventListener('click', function(event){
    
                event.preventDefault();
    
                stripe.createToken(card).then(function(result){
                    if(result.error){
                        
                        var errorElement = document.getElementById('card-error');
                        errorElement.textContent = result.error.message
    
                    }else{
                        
                        //Create Payment Method
                        stripe.createPaymentMethod({
                            type: 'card',
                            card: card,
                            /*billing_details:{
                                email : customer_email,
                            },*/
                        }).then(function(payment_method_result){
                            if(payment_method_result.error){
                            var errorElement = document.getElementById('card-error');
                            errorElement.textContent = payment_method_result.error.message;
                            window.location.replace("http://127.0.0.1:8000/secure/payment_info/");
                            }else{
                                alert("Redirecting")
                                var form = document.getElementById('payment-form')
                                var hiddenInput= document.createElement('input')
    
                                hiddenInput.setAttribute('type', 'hidden');
                                hiddenInput.setAttribute('name','payment_method_id' );
                                hiddenInput.setAttribute('value', payment_method_result.paymentMethod.id);
                                form.appendChild(hiddenInput);
                                form.submit()
                            }
                        })
                    }
                });
    
            });
    
    
        });
        
    
    }
    </script>
    
    <script>
    //card1('pk_test_51IUDDcIX7H1lFVv1YPbRxq4o0SAHiZrI6SMCI65E5bNqG3vRWB12gmwtZbZFcJ9EBedhdpytP1HKMK88Nq9DEig600pS3hnGeA');
    
    </script>
{% endblock %} 